Name:           ndt
Version:        3.4.4a
Release:        4%{?dist}
Summary:        Network Diagnostic Tool

Group:          Applications/Networking
License:        BSDish
URL:            http://e2epi.internet2.edu/ndt/
Vendor:         MCNC - Advanced Services
Source0:        %{name}-%{version}.tar.gz
Source1:        ndt-init
Source2:        ndt-sysconfig
Source3:        ndt-logrotate
Source4:        tcpbw100.html
# disabling the janalyze build - should be moved to an external package
Patch0:         ndt-Makefile.in.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  web100_userland, libpcap-devel, jpackage-utils, I2util
BuildRequires:  mysql-connector-odbc, unixODBC-devel
Requires:       web100_userland, libpcap

%if 0%{?fedora} >= 8
BuildRequires:  java-1.5.0-gcj-devel
%else
BuildRequires:  java-1.6.0-openjdk-devel
%endif


%description
The Network Diagnostic Tool (NDT) is a client/server program that provides
network configuration and performance testing to a users desktop or laptop
computer.  The system is composed of a client program (command line or java
applet) and a pair of server programs (a webserver and a testing/analysis
engine).  Both command line and web-based clients communicate with a
Web100-enhanced server to perform these diagnostic functions.  Multi-level
results allow novice and expert users to view and understand the test results.

%prep
%setup -q

%patch0 -p0

%build
%configure --with-I2util=/usr/lib

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%{__install} -D -m 0755 %SOURCE1 %{buildroot}%{_initrddir}/%{name}
%{__install} -D -m 0644 %SOURCE2 %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%{__install} -D -m 0644 %SOURCE3 %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
%{__install} -D -m 0755 %SOURCE4 %{buildroot}%{_prefix}/%{name}/

%{__mkdir} -p %{buildroot}%{_localstatedir}/lib/%{name}
%{__mkdir} -p %{buildroot}%{_localstatedir}/log/%{name}

%{__rm} -rf %{buildroot}%{_prefix}/%{name}/Tcpbw100*.class
%{__rm} -rf %{buildroot}%{_prefix}/%{name}/serverdata

%clean
rm -rf $RPM_BUILD_ROOT

%post

if [ $1 -gt 1 ]; then
	/sbin/service ndt restart > /dev/null 2>&1 || :
fi

/sbin/chkconfig --add %{name} || :

%preun
if [ $1 = 0 ]; then
	/sbin/service ndt stop > /dev/null 2>&1 || :
	/sbin/chkconfig --del %{name} || :
fi


%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_sbindir}/*
%config(noreplace) %{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%dir %{_prefix}/%{name}
%dir %{_localstatedir}/lib/%{name}
%dir %{_localstatedir}/log/%{name}
%{_prefix}/%{name}/[^d]*
%{_mandir}/man*/*



%changelog
* Wed Jul 29 2009 Tom Throckmorton <throck@mcnc.org> - 3.4.4a-4
- add build support for db logging
- add restart in %post

* Mon Sep 08 2008 Tom Throckmorton <throck@mcnc.org> - 3.4.4a-3
- disable I2util build
- major rework of the init script; use of fakewww managed through /etc/sysconfig/ndt
- relocation of data, log dirs
- add logrotate script
- remove unnecessary files from package

* Wed Sep 03 2008 Tom Throckmorton <throck@mcnc.org> - 3.4.4a-2
- corrected a problem with the admin applet not loading
- included the tcpbw100.html template

* Mon Jul 21 2008 Tom Throckmorton <throck@mcnc.org> - 3.4.4a-1
- initial package build
